Bug 152147 - Evolution hangs when creating a new mail
Evolution hangs when creating a new mail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 05:55 EST by Andreas Spengler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-01 07:04:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Spengler 2005-03-25 05:55:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
When creating a new mail or responding to an existing mail, evolution hangs (program stops responding and does not redraw any of its windows anymore) after typing some sentences.

Version-Release number of selected component (if applicable):
evolution-2.0.4-1

How reproducible:
Always

Steps to Reproduce:
1. Create a new mail or reply to an existing mail
2. Enter some text

  

Additional info:
Comment 1 Dave Malcolm 2005-03-28 19:12:05 EST
Thanks for the bug report.  Please can you supply a backtrace of what evolution
is doing when it hangs?

You can find information on how to do this here:
http://fedora.linux.duke.edu/wiki/StackTraces

and here:
http://www.gnome.org/projects/evolution/bugs.shtml
Comment 2 Andreas Spengler 2005-03-31 12:37:59 EST
Connection with gdb to the hanging evolution process gives:

#0  0x00a587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00cbd24e in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x00cb9e4f in _L_mutex_lock_32 () from /lib/tls/libpthread.so.0
#3  0x00b96ff4 in ?? () from /lib/tls/libc.so.6
#4  0x00a6dc80 in ?? () from /lib/ld-linux.so.2
#5  0x00e03ff4 in ?? () from /lib/libnss_files.so.2
#6  0xbff2d0ac in ?? ()
#7  0x00dfdca0 in _nss_files_gethostbyname_r () from /lib/libnss_files.so.2
#8  0x00dfdcc9 in _nss_files_gethostbyname2_r () from /lib/libnss_files.so.2
#9  0x00b1fa24 in gaih_inet () from /lib/tls/libc.so.6
#10 0x00b20fa1 in getaddrinfo () from /lib/tls/libc.so.6
#11 0x03897de1 in camel_service_query_auth_types ()
   from /usr/lib/evolution/2.0/libcamel.so.0
#12 0x03897cf3 in camel_service_query_auth_types ()
   from /usr/lib/evolution/2.0/libcamel.so.0
#13 0x03897ed0 in camel_getaddrinfo ()
   from /usr/lib/evolution/2.0/libcamel.so.0
#14 0x0388565d in camel_header_msgid_generate ()
   from /usr/lib/evolution/2.0/libcamel.so.0

This happened with a mail I wanted to reply to. The mail itself resides on a
mail server which I access with evolution via IMAP.
Comment 4 Matthew Miller 2006-07-10 18:20:57 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Matthew Barnes 2006-12-31 22:01:23 EST
Is this problem still present in Fedora Core 6?
Comment 6 Andreas Spengler 2007-01-01 06:08:20 EST
No. IIRC, it was fixed with Core 5 already...
Comment 7 Matthew Barnes 2007-01-01 07:04:04 EST
Thanks for responding.  Closing per comment #6.

Feel free to re-open this bug if you encounter the same problem in Fedora Core 6
or later.

Note You need to log in before you can comment on or make changes to this bug.